<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--CSS -->
    <link th:href="@{/css/print.min.css}" rel="stylesheet" type="text/css">

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
    <script th:src="@{/js/print.min.js}"></script>
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header(${product.name}, @{/}, 'productDetail')"></div>

    <main id="main" class="container pt-3">
        <div class="px-2 px-lg-3">
            <div id="notFoundMessage" class="alert alert-warning fade show" role="alert" th:if="${product == null}">
                <span>Nepodařilo se vyhledat produkt</span>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <!--ALERTS-->
            <div th:replace="fragments/layout :: alerts"></div>

            <div th:if="${product != null}">

                <!--BASIC INFO-->
                <table class="mb-3">
                    <tr>
                        <td class="pr-3 pb-1">Cena:</td>
                        <td class="pb-1">
                            <span class="h4" th:text="${product.getFormatPrice()}"></span>
                            <span> Kč/den</span>
                        </td>
                    </tr>
                    <tr>
                        <td class="pr-3">Kauce:</td>
                        <td>
                            <span th:text="${T(cz.david.minirental.helpers.NumberHelper).formatFloat(product.bail)}"></span>
                            <span> Kč</span>
                        </td>
                    </tr>
                    <tr>
                        <td class="pr-3">Cena za ztrátu:</td>
                        <td>
                            <span th:text="${T(cz.david.minirental.helpers.NumberHelper).formatFloat(product.lostPrice)}"></span>
                            <span> Kč</span>
                        </td>
                    </tr>
                </table>

                <div class="text-center">
                    <a th:if="${product.isAvailable()}" class="h4 text-success text-decoration-none" href="#ActionBtns">Volný</a>
                    <a th:if="${!product.isAvailable()}" class="h4 text-danger text-decoration-none" href="#ActionBtns">Vypůjčený</a>
                </div>

                <!--BORROW-->
                <div th:if="${!product.isAvailable() && borrow != null}" class="mt-4">
                    <table>
                        <tr>
                            <td class="pr-3">Aktuální vypůjčitel:</td>
                            <td class="font-weight-bold" th:text="${borrow.user.getFullName()}"></td>
                        </tr>
                        <tr>
                            <td class="pr-3">Produkty:</td>
                            <td class="font-weight-bold" th:text="${borrow.getProductsNames()}">
                            </td>
                        </tr>
                        <tr>
                            <td>Vypůjčeno od:</td>
                            <td class="font-weight-bold text-success" th:text="${borrow.getFormatFromDate()}"></td>
                        </tr>
                        <tr>
                            <td>Vypůjčeno do:</td>
                            <td class="font-weight-bold text-success" th:text="${borrow.getFormatToDate()}"></td>
                        </tr>
                    </table>
                </div>

                <!--ACCESSORIES-->
                <div class="mt-3" th:if="${not #lists.isEmpty(product.accessories)}">
                    <h5>Příslušenství</h5>
                    <table class="ml-3">

                        <tr th:each="accessory, iStat : ${product.accessories}">
                            <td class="pr-2" th:text="${iStat.index + 1} + '.'"></td>
                            <td class="pr-5">
                                <span th:text="${accessory.name}"></span>
                            </td>
                            <td th:if="${!product.isAvailable()}">
                                <label class="control control--checkbox mb-0 disabled">&nbsp;
                                    <input type="checkbox" class="" th:checked="${accessory.offer}" disabled/>
                                    <div class="control__indicator"></div>
                                </label>
                            </td>
                        </tr>

                    </table>
                </div>


                <div id="ActionBtns" class="mt-4 text-center">
                    <a th:if="${product.isAvailable()}"
                       class="btn btn-success px-5 w-100 w-sm-auto"
                       th:href="@{/admin/borrow/new?productIds=} + ${product.id}">Vypůjčit</a>
                    <a th:if="${!product.isAvailable()}"
                       class="btn btn-danger px-5 w-100 w-sm-auto"
                       th:href="@{/admin/borrow/return/} + ${borrow.id}">Vrátit</a>
                </div>

                <!--PDF-->
                <div id="contract" th:if="${!product.isAvailable()}" class="mt-4">
                    <h5>Smlouva:</h5>
                    <div class="row no-gutters">
                        <div class="col-6 pr-1 text-right">
                            <button id="printBtn" class="w-100 w-sm-auto px-4 btn btn-orange"
                                    th:onclick="printContract()">
                                <i class="fas fa-print"></i>
                                Tisk
                            </button>
                        </div>
                        <div class="col-6 pl-1 text-left">
                            <a class="w-100 w-sm-auto px-4 btn btn-success" target="_blank"
                                    th:href="@{/contract/} + ${product.currentBorrow.id}">
                                <i class="fas fa-file-pdf"></i>
                                Náhled
                            </a>
                        </div>
                    </div>
                    <!--<iframe class="w-100" style="height: 35em" th:src="@{/contract/} + ${product.currentBorrow.id}"></iframe>-->
                </div>

                <!--BORROWS-->
                <div th:if="${not #lists.isEmpty(borrows)}" class="mt-4">
                    <h5>Výpůjčky:</h5>
                    <div th:fragment="borrowList()">

                        <table class="ml-1 w-100 w-sm-auto smaller">

                            <tr th:each="borrow : ${borrows}">
                                <td class="pr-3 pr-sm-5">
                                    <span class="text-nowrap" th:text="${borrow.getFormatFromDate('dd.MM.yyyy')}"></span>
                                    <span class="d-none d-sm-inline">
                                        -
                                        <span th:text="${borrow.getFormatToDate('dd.MM.yyyy')}"></span>
                                    </span>
                                </td>
                                <td class="pr-3 pr-sm-5">
                                    <span th:text="${borrow.user.getFullName()}"></span>
                                </td>
                                <td class="text-right" th:text="${borrow.totalPrice > 0 ? borrow.getFormatPriceByProduct(product.id) : '-'}"></td>
                            </tr>
                            <tr class="border-top font-weight-bold">
                                <td colspan="2" class="pr-3 pr-sm-5" th:text="${borrowsCount}">

                                </td>
                                <td class="text-right" th:text="${T(cz.david.minirental.helpers.NumberHelper).formatFloat(totalIncome)}"></td>
                            </tr>

                        </table>

                    </div>
                </div>

            </div>
        </div>
    </main>

    <!-- SPINNER -->
    <div th:replace="fragments/layout :: spinner"></div>
</div>

<!--FOOTER-->
<div th:replace="fragments/layout :: footer"></div>

<script th:inline="javascript">
    /*<![CDATA[*/

    $( document ).ready(function() {
        if (/*[[${openPrintModal}]]*/ false) {
            $('#printBtn').click();
        }
    });

    /*]]>*/
</script>

<script th:inline="javascript" th:if="${product.currentBorrow != null}">
    /*<![CDATA[*/

    function printContract(){
        var borrowId = /*[[${product.currentBorrow.id}]]*/ '';

        if(borrowId) {
            showSpinner('Načítání','Načítá se pdf..');
            printJS({printable: '/contract/' + borrowId,
                type: 'pdf',
                onLoadingEnd: function() {
                    setTimeout(
                        function()
                        {
                            hideSpinner();
                        }, 550);
                }});
        }
    }

    /*]]>*/
</script>

</body>
</html>